Type
LimitsType        = Array [0..1] of LongInt;
ParamTypeRec      = record
                      T     : Byte;
                      B     : Byte;
                      L     : LimitsType;
                    end;
ParamArrayType    = Array [0..15] of Byte;
CommandRec        = record
                      C     : String[15];  { Command Name }
                      N     : Byte;        { - pp }
                      P     : ParamArrayType;
                                           { Command Parameters Type }
                    end;
Const
  DefaultIncludeCommand : Array[0..7] of CommandRec =
    (
     (C:'INCLUDE';N:1;
      P:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)),
     (C:'PRINT';N:1;
      P:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)),
     (C:'REM';N:1;
      P:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)),
     (C:'DEBUGMODE';N:1;
      P:(0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0)),
     (C:'TOLOG';N:1;
      P:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)),
     (C:'EXCLUDE_START';N:0;
      P:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)),
     (C:'EXCLUDE_END';N:0;
      P:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)),
     (C:'IF';N:0;
      P:(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0))
     );

  ParamTypeInternal : Array [0..7] of ParamTypeRec =
    (   { String  - 0}
     (T : 1;        {   - String        }
      B : 255;
      L : (0,255)), { - ᨬ      }
        { LongInt - 1}
     (T : 2;        {   - LongInt       }
      B : 4;
      L : (-2147483647,2147483647)), { p 祭 }
        { Word    - 2}
     (T : 2;        {   - LongInt       }
      B : 2;
      L : (0,65535)), { p 祭 }
        { Byte    - 3}
     (T : 2;        {   - LongInt       }
      B : 1;
      L : (0,255)), { p 祭 }
        { Integer - 4}
     (T : 2;        {   - LongInt       }
      B : 2;
      L : (-32768,32767)), { p 祭 }
        { ShortInt- 5}
     (T : 2;        {   - LongInt       }
      B : 1;
      L : (-128,127)), { p 祭 }
        { Char    - 6}
     (T : 1;        {   - String        }
      B : 1;
      L : (0,255)), { p 祭 }
        { Boolean/Yes-No/On-Off - 7}
     (T : 3;        {   - p᫨  }
      B : 2;
      L : (0,7))    { p 祭   }
      );

  TypeInternalNumber : Byte = 7;

  CountedStringInternal : Array [0..7] of String[17] =
     ('TRUE','FALSE','YES','NO',
      'Y',   'N',    'ON', 'OFF');

  CountedStringNumber: Byte = 7;

Var
  ParamType             : Array[0..255] of ParamTypeRec;
  CountedString         : Array[0..255] of String[17];
  ExternalCommand       : Array[0..255] of CommandRec;
